# OC Catalog

## OpenCloud Catalog API

Uses the Beego framework

To install the Beego bee command : 

    go install github.com/beego/bee/v2@master

To build and run :

    go mod tidy
    bee run -downdoc=true -gendoc=true

## Full deploy

Deploy with docker:
`docker-compose -f docker-compose.yml -f docker-compose.backend.yml up --build`

and populate DB (or other scripts) with:
`docker exec -it oc-catalog_oc-catalog_1 ./scripts/populate_models.sh ./scripts/demo.json`

or out of docker `./scripts/populate_models.sh ./scripts/demo.json`

## Dev

Start DB with `docker-compose up -d` and run the API with `bee run -downdoc=true -gendoc=true`


## Multinode

Deploy
`docker-compose -f docker-compose.yml -f docker-compose.backend.yml -f docker-compose.multi.yml up --build`

Populate
`./scripts/multinode.sh ./scripts/demo.json`